import type { _NSNetServiceBrowserDelegate } from "./NSNetServiceBrowserDelegate.js";
import type { _NSObject } from "./NSObject.js";
import type { _NSRunLoop } from "./NSRunLoop.js";
import type { _NSString } from "./NSString.js";
export declare class _NSNetServiceBrowser extends _NSObject {
    static alloc(): _NSNetServiceBrowser;
    static new(): _NSNetServiceBrowser;
    init(): _NSNetServiceBrowser;
    /**
     * NSNetServiceBrowser instances may be scheduled on NSRunLoops to operate in different modes, or in other threads. It is generally not necessary to schedule NSNetServiceBrowsers in other threads. NSNetServiceBrowsers are scheduled in the current thread's NSRunLoop in the NSDefaultRunLoopMode when they are created.
     */
    scheduleInRunLoop$forMode$(aRunLoop: _NSRunLoop, mode: _NSString): void;
    removeFromRunLoop$forMode$(aRunLoop: _NSRunLoop, mode: _NSString): void;
    /**
     * Starts a search for domains that are browsable via Bonjour and the computer's network configuration. Discovered domains are reported to the delegate's -netServiceBrowser:didFindDomain:moreComing: method. There may be more than one browsable domain.
     */
    searchForBrowsableDomains(): void;
    /**
     * Starts a search for domains in which the network configuration allows registration (i.e. publishing). Most NSNetServiceBrowser clients do not need to use this API, as it is sufficient to publish an NSNetService instance with the empty string (see -[NSNetService initWithDomain:type:name:port:]). Discovered domains are reported to the delegate's -netServiceBrowser:didFindDomain:moreComing: method. There may be more than one registration domain.
     */
    searchForRegistrationDomains(): void;
    /**
     * Starts a search for services of the specified type in the domain indicated by domainString. For each service discovered, a -netServiceBrowser:foundService:moreComing: message is sent to the NSNetServiceBrowser instance's delegate.
     */
    searchForServicesOfType$inDomain$(type: _NSString, domainString: _NSString): void;
    /** Stops the currently running search. */
    stop(): void;
    /** Set a delegate to receive discovery events. */
    delegate(): _NSNetServiceBrowserDelegate | null;
    setDelegate$(value: _NSNetServiceBrowserDelegate | null): void;
    /**
     * Initially set to NO. Set to YES to also browse over peer to peer Wi-Fi (if available). Must be set before starting to search.
     */
    includesPeerToPeer(): boolean;
    setIncludesPeerToPeer$(value: boolean): void;
}
